<?php

require_once "./Connection.php";

function connect(): int|Connection
{

    $dsn = "mysql:host=".$_ENV["HOST"].";dbname=".$_ENV["DATABASE"].";";
    $login = $_ENV["USER"];
    $password = $_ENV["PASSWORD"];

    try {

        $connection = new Connection($dsn,$login,$password);

    }catch (PDOException){

        http_response_code(404);
        return http_response_code();
    }
    return $connection;
}
